v1.0
post
/ec-ors-svc/rest/v1.0/studies/{studyId}/{mode}/shipments/{shipmentId}/received
Deprecated: Marks kits as received in a study's inventory. Rights: OrsInventoryPost and DepotShipmentReceiptPost/OrsBlinded.
Request
Path Parameters
-
mode(required): string
Mode of the study, accepts: test, active, or training.
-
shipmentId(required): string(uuid)
ID of the shipment.
-
studyId(required): string(uuid)
Unique identifier (UUID, 32-character uppercase hexadecimal string) representing the study.
Supported Media Types
- application/json
Root Schema : schema
Type:
Show Source
object-
tempMonitorStatus: string
Allowed Values:
[ "yes", "no", "missing" ]Pattern:yes|no|missingTemperature monitor status.Example:yes -
updateKits: object
updateKits
Additional Properties Allowed: additionalProperties
-
updateNSKits: array
updateNSKits
Contains non-serialized kits to be updated for received shipment.
Nested Schema : updateNSKits
Type:
arrayContains non-serialized kits to be updated for received shipment.
Show Source
-
Array of:
object NSKitsRequest v1.0
Title:
NSKitsRequest v1.0Request containing non-serialized kits details.
Nested Schema : NSKitsRequest v1.0
Type:
objectTitle:
NSKitsRequest v1.0Request containing non-serialized kits details.
Show Source
-
inventoryStatusId: integer
(int32)
Unique ID corresponding to each inventory status value (1 for Available, 2 for Damaged, 3 for Destroyed, 4 for Dispensed, 5 for Expired, 6 for Not in Use, 7 for Misallocated, 8 for Missing, 9 for In Transit, 10 for Quarantined, 11 for Pre-quarantined, 12 for Pending Destruction, 13 for Lost by Subject, 14 for Temporarily Unavailable, 15 for Damaged by Subject, 16 for New, 17 for Not Dispensed to Subject, 18 for Returned to Site, 19 for Conserved, 20 for Received for Destruction).Example:
10 -
kitTypeId: string
(uuid)
Title:
Kit Type IDKit type identifier. -
lotId: string
(uuid)
Title:
Lot IDLot ID. -
quantity(required): number
(BigDecimal)
Title:
QuantityMinimum Value:1Kit quantity.
Response
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : ShipmentReceivedResponse
Type:
objectTitle:
ShipmentReceivedResponseReceived shipment details response object.
Show Source
-
availableCount: integer
(int64)
Available kits count.Example:
5 -
damagedCount: integer
(int64)
Damaged kits count.Example:
5 -
missingCount: integer
(int64)
Missing kits count.Example:
5 -
preQuarantinedCount: integer
(int64)
Pre quarantined kits count.Example:
5 -
receivedDate: string
(date-time)
Shipment received date.
-
shipmentId: string
(uuid)
ID of the shipment.
400 Response
'Invalid order status', 'Invalid kit'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Structure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectStructure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
Show Source
-
details: object
details
Detailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
-
errorCode: string
Application or business-specific error code representing the error type.Example:
REPT_401 -
errorMessage: string
Human-readable error message describing the failure or issue.Example:
Unauthorized: User does not have access to the requested resource
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectDetailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
Example:
User role is missing required permission REPORTING_VIEW. Field: userId404 Response
'Invalid study ID', 'Study still in Draft (design phase)', 'Invalid shipment ID', 'Invalid site ID'
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Structure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectStructure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
Show Source
-
details: object
details
Detailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
-
errorCode: string
Application or business-specific error code representing the error type.Example:
REPT_401 -
errorMessage: string
Human-readable error message describing the failure or issue.Example:
Unauthorized: User does not have access to the requested resource
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectDetailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
Example:
User role is missing required permission REPORTING_VIEW. Field: userId500 Response
Internal server error
Root Schema : ORSResponse
Type:
objectCommon response object.
Show Source
-
errorData: object
ErrorResponseData
Structure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
-
result: object
result
Result Object
-
status: string
Status of requestExample:
Success -
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectStructure representing an error response from the reporting service. Contains an error code, human-readable message, and details.
Show Source
-
details: object
details
Detailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
-
errorCode: string
Application or business-specific error code representing the error type.Example:
REPT_401 -
errorMessage: string
Human-readable error message describing the failure or issue.Example:
Unauthorized: User does not have access to the requested resource
Nested Schema : result
Type:
objectResult Object
Nested Schema : details
Type:
objectDetailed error context or debugging information such as validation error, stack trace, or field/parameter cause.
Example:
User role is missing required permission REPORTING_VIEW. Field: userId